WordPress.org

Ready to get started?Download WordPress

Forums

Update plugins: Could not create directory (5 posts)

  1. jsproducts
    Member
    Posted 1 year ago #

    Hi everybody,

    I have some plugins that need to be updated and I have tried to do it but without any success:
    Downloading update from http://downloads.wordpress.org/plugin/sendpress.0.9.3.1.zip…

    Unpacking the update…

    Could not create directory. /wp-content/upgrade/sendpress.tmp

    Return to Plugins page

    I have tried to change permissions but it won't let me.

    Could anybody help me to solve this problem? Please....

  2. phillbooth
    Member
    Posted 1 year ago #

    Do you have a security plugin installed if so disable it.

    Also you need to CHMOD your folder/files 755/644 or even just while you do the install 777

  3. jsproducts
    Member
    Posted 1 year ago #

    Hi,

    thank for the quick reply.

    Do you have a security plugin installed if so disable it. (I don't have)

    Also you need to CHMOD your folder/files 755/644 or even just while you do the install 777 (I have done all of them, and also I had a contact with the server administrator to do it, but without any success)

    Upgrade and uploads folder have 777 permission.

    What could I do? I have a huge work in this website, and do not want to loose all data, but keeping the website up to date. Please help me anyway!

  4. phillbooth
    Member
    Posted 1 year ago #

    What I would to is download a fresh version of wordpress unzip it and then delete the wp-content folder. Upload the rest of the files to your website.

    I would do the same for the plugin you are trying to update, download manually and update via FTP.

    you will find the plugin in the /wp-content/plugins

  5. jsproducts
    Member
    Posted 1 year ago #

    Hi Phillbooth,

    I am struggling. Yesterday I had again a contact with our server administrator, because I tried updating manually the plugin and I have got this message in Filezilla:
    Response: 550 8.5.1.bootstrap.min.js: Permission denied
    Error: Critical file transfer error

    They answered me that it is not their fault because "the folder does not exist" ???? I had seen this folder.
    I am not able to upload anything vie ftp. So, I deleted the plugin, because I thought if I am deleting and installing again will be successful. Unfortunately, I am not able to install any plugins.
    Why are these problems? Please help me out!
    I checked the permissions on my FTP, it looks good...but anyway I can not do anything.
    Could you help me and explaining some possible reason?
    Thanks,
    Natalia

Topic Closed

This topic has been closed to new replies.

About this Topic